#include <iostream>
#include <iomanip>
#include <algorithm>
using namespace std;

int N;
int* kingid;
int K[3];
int L[3];
double vastus[3] = { 0 };

void jagaKingid(int kingiNr, int korvidePindala, double Tn)
{    
    if(kingiNr == N) { //kik on jagatud
        return;
    }

    for (int i = 0; i < 3; i++) {
        if (L[i] > 0) {
            double tn = Tn * L[i] * K[i] / korvidePindala;
            vastus[i] += kingid[kingiNr] * tn;
            L[i]--;
            jagaKingid(kingiNr + 1, korvidePindala - K[i], tn);
            L[i]++;
        }
    }
}

int main()
{
    //sisend: 
    //esimese lastekodu laste arv
    //esimese lastekodu korvi pindala
    //teise lastekodu laste arv
    //teise lastekodu korvi pindala
    //kolmanda lastekodu laste arv
    //kolmanda lastekodu korvi pindala
    
    int korvidePindala = 0;
    for (int i = 0; i < 3; i++) {
        cin >> L[i] >> K[i];
        korvidePindala += K[i] * L[i];
    }
    cin >> N; //kinkide arv
    kingid = new int[N];
    for (int i = 0; i < N; i++) {
        cin >> kingid[i]; //kinkide vrtused
    }
    
    jagaKingid(0, korvidePindala, 1);
    
    cout << fixed << setprecision(10);
    for (int i = 0; i < 3; i++) {
        cout << vastus[i] << endl;
    }

    return 0;
}